wxRuby Documentation Home

# Wx::Point

A Point is a useful data structure for graphics operations.
It simply contains integer x and y members.

See also RealPoint for a floating point version.

## Derived from

None

## See also

RealPoint

## Methods

- Point.new
- Point#x
- Point#y

### Point.new

Point.new(%(arg-type)Integer% x, Integer y)

Create a point.

### Point#x

intx

x member.

### Point#y

int y

y member.

### Point#==

Boolean operator $==$(%(arg-type)Point% pt)

Equality operator: returns if two points are the same.

### Point#!=

Boolean operator $!=$(%(arg-type)Point% pt)

Inequality operator: returns if two points are different.

[This page automatically generated from the Textile source at 2023-06-09 00:45:26 +0000]